# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '../ui/mainWindow.ui'
#
# Created by: PyQt5 UI code generator 5.13.2
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(847, 693)
        MainWindow.setMaximumSize(QtCore.QSize(16000, 16000))
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setMaximumSize(QtCore.QSize(16000, 16000))
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSizeConstraint(QtWidgets.QLayout.SetMaximumSize)
        self.horizontalLayout.setContentsMargins(1, 1, 1, 1)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox_10 = QtWidgets.QGroupBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_10.sizePolicy().hasHeightForWidth())
        self.groupBox_10.setSizePolicy(sizePolicy)
        self.groupBox_10.setFlat(False)
        self.groupBox_10.setCheckable(False)
        self.groupBox_10.setObjectName("groupBox_10")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.groupBox_10)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label_team = QtWidgets.QLabel(self.groupBox_10)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_team.sizePolicy().hasHeightForWidth())
        self.label_team.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setPointSize(20)
        font.setBold(True)
        font.setWeight(75)
        self.label_team.setFont(font)
        self.label_team.setAlignment(QtCore.Qt.AlignCenter)
        self.label_team.setObjectName("label_team")
        self.verticalLayout_3.addWidget(self.label_team)
        self.verticalLayout_2.addWidget(self.groupBox_10)
        self.groupBox_2 = QtWidgets.QGroupBox(self.centralwidget)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.tableView_sensors = QtWidgets.QTableView(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tableView_sensors.sizePolicy().hasHeightForWidth())
        self.tableView_sensors.setSizePolicy(sizePolicy)
        self.tableView_sensors.setObjectName("tableView_sensors")
        self.verticalLayout_9.addWidget(self.tableView_sensors)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.groupBox = QtWidgets.QGroupBox(self.centralwidget)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.label_ov_cost = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_ov_cost.setFont(font)
        self.label_ov_cost.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_ov_cost.setObjectName("label_ov_cost")
        self.gridLayout_11.addWidget(self.label_ov_cost, 0, 1, 1, 1)
        self.label_26 = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_26.sizePolicy().hasHeightForWidth())
        self.label_26.setSizePolicy(sizePolicy)
        self.label_26.setStyleSheet("padding-right: 3px;")
        self.label_26.setObjectName("label_26")
        self.gridLayout_11.addWidget(self.label_26, 0, 0, 1, 1)
        self.label_29 = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_29.sizePolicy().hasHeightForWidth())
        self.label_29.setSizePolicy(sizePolicy)
        self.label_29.setStyleSheet("padding-right: 3px;")
        self.label_29.setObjectName("label_29")
        self.gridLayout_11.addWidget(self.label_29, 1, 0, 1, 1)
        self.label_ov_error = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_ov_error.setFont(font)
        self.label_ov_error.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_ov_error.setObjectName("label_ov_error")
        self.gridLayout_11.addWidget(self.label_ov_error, 1, 1, 1, 1)
        self.label_31 = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_31.sizePolicy().hasHeightForWidth())
        self.label_31.setSizePolicy(sizePolicy)
        self.label_31.setStyleSheet("padding-right: 3px;")
        self.label_31.setObjectName("label_31")
        self.gridLayout_11.addWidget(self.label_31, 2, 0, 1, 1)
        self.label_ov_data = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_ov_data.sizePolicy().hasHeightForWidth())
        self.label_ov_data.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_ov_data.setFont(font)
        self.label_ov_data.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_ov_data.setObjectName("label_ov_data")
        self.gridLayout_11.addWidget(self.label_ov_data, 2, 1, 1, 1)
        self.label_33 = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_33.sizePolicy().hasHeightForWidth())
        self.label_33.setSizePolicy(sizePolicy)
        self.label_33.setStyleSheet("padding-right: 3px;")
        self.label_33.setObjectName("label_33")
        self.gridLayout_11.addWidget(self.label_33, 3, 0, 1, 1)
        self.label_ov_power = QtWidgets.QLabel(self.groupBox)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_ov_power.setFont(font)
        self.label_ov_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_ov_power.setObjectName("label_ov_power")
        self.gridLayout_11.addWidget(self.label_ov_power, 3, 1, 1, 1)
        self.label_design_status = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Ignored, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_design_status.sizePolicy().hasHeightForWidth())
        self.label_design_status.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_design_status.setFont(font)
        self.label_design_status.setWordWrap(True)
        self.label_design_status.setObjectName("label_design_status")
        self.gridLayout_11.addWidget(self.label_design_status, 5, 0, 1, 2)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.horizontalLayout.addLayout(self.verticalLayout_2)
        self.tabWidget_components = QtWidgets.QTabWidget(self.centralwidget)
        self.tabWidget_components.setEnabled(True)
        self.tabWidget_components.setTabShape(QtWidgets.QTabWidget.Rounded)
        self.tabWidget_components.setUsesScrollButtons(True)
        self.tabWidget_components.setDocumentMode(False)
        self.tabWidget_components.setTabsClosable(False)
        self.tabWidget_components.setMovable(False)
        self.tabWidget_components.setObjectName("tabWidget_components")
        self.tab_payload = QtWidgets.QWidget()
        self.tab_payload.setObjectName("tab_payload")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.tab_payload)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_8.addItem(spacerItem)
        self.su_radio = QtWidgets.QPushButton(self.tab_payload)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/assets/radiometer.jpg"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.su_radio.setIcon(icon)
        self.su_radio.setIconSize(QtCore.QSize(128, 128))
        self.su_radio.setCheckable(True)
        self.su_radio.setChecked(True)
        self.su_radio.setObjectName("su_radio")
        self.verticalLayout_8.addWidget(self.su_radio)
        self.su_thermal = QtWidgets.QPushButton(self.tab_payload)
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/assets/thermal.jpeg"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.su_thermal.setIcon(icon1)
        self.su_thermal.setIconSize(QtCore.QSize(128, 128))
        self.su_thermal.setCheckable(True)
        self.su_thermal.setObjectName("su_thermal")
        self.verticalLayout_8.addWidget(self.su_thermal)
        self.su_optical = QtWidgets.QPushButton(self.tab_payload)
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/assets/optical.jpeg"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.su_optical.setIcon(icon2)
        self.su_optical.setIconSize(QtCore.QSize(128, 128))
        self.su_optical.setCheckable(True)
        self.su_optical.setObjectName("su_optical")
        self.verticalLayout_8.addWidget(self.su_optical)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_8.addItem(spacerItem1)
        self.tabWidget_components.addTab(self.tab_payload, "")
        self.tab_trajectory = QtWidgets.QWidget()
        self.tab_trajectory.setObjectName("tab_trajectory")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.tab_trajectory)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_5.addItem(spacerItem2)
        self.tra_iss = QtWidgets.QPushButton(self.tab_trajectory)
        self.tra_iss.setCheckable(True)
        self.tra_iss.setChecked(True)
        self.tra_iss.setObjectName("tra_iss")
        self.verticalLayout_5.addWidget(self.tra_iss)
        self.tra_polar = QtWidgets.QPushButton(self.tab_trajectory)
        self.tra_polar.setCheckable(True)
        self.tra_polar.setObjectName("tra_polar")
        self.verticalLayout_5.addWidget(self.tra_polar)
        self.tra_geo = QtWidgets.QPushButton(self.tab_trajectory)
        self.tra_geo.setCheckable(True)
        self.tra_geo.setObjectName("tra_geo")
        self.verticalLayout_5.addWidget(self.tra_geo)
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_5.addItem(spacerItem3)
        self.tabWidget_components.addTab(self.tab_trajectory, "")
        self.tab_eps = QtWidgets.QWidget()
        self.tab_eps.setObjectName("tab_eps")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.tab_eps)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        spacerItem4 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_6.addItem(spacerItem4)
        self.groupBox_8 = QtWidgets.QGroupBox(self.tab_eps)
        self.groupBox_8.setObjectName("groupBox_8")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.groupBox_8)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.eps_panel1 = QtWidgets.QPushButton(self.groupBox_8)
        self.eps_panel1.setCheckable(True)
        self.eps_panel1.setChecked(False)
        self.eps_panel1.setObjectName("eps_panel1")
        self.verticalLayout_7.addWidget(self.eps_panel1)
        self.eps_panel2 = QtWidgets.QPushButton(self.groupBox_8)
        self.eps_panel2.setCheckable(True)
        self.eps_panel2.setObjectName("eps_panel2")
        self.verticalLayout_7.addWidget(self.eps_panel2)
        self.eps_panel3 = QtWidgets.QPushButton(self.groupBox_8)
        self.eps_panel3.setCheckable(True)
        self.eps_panel3.setChecked(True)
        self.eps_panel3.setObjectName("eps_panel3")
        self.verticalLayout_7.addWidget(self.eps_panel3)
        self.verticalLayout_6.addWidget(self.groupBox_8)
        spacerItem5 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_6.addItem(spacerItem5)
        self.groupBox_9 = QtWidgets.QGroupBox(self.tab_eps)
        self.groupBox_9.setObjectName("groupBox_9")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.groupBox_9)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.eps_battery1 = QtWidgets.QPushButton(self.groupBox_9)
        self.eps_battery1.setCheckable(True)
        self.eps_battery1.setChecked(True)
        self.eps_battery1.setObjectName("eps_battery1")
        self.horizontalLayout_4.addWidget(self.eps_battery1)
        self.eps_battery2 = QtWidgets.QPushButton(self.groupBox_9)
        self.eps_battery2.setCheckable(True)
        self.eps_battery2.setObjectName("eps_battery2")
        self.horizontalLayout_4.addWidget(self.eps_battery2)
        self.eps_battery3 = QtWidgets.QPushButton(self.groupBox_9)
        self.eps_battery3.setCheckable(True)
        self.eps_battery3.setChecked(False)
        self.eps_battery3.setObjectName("eps_battery3")
        self.horizontalLayout_4.addWidget(self.eps_battery3)
        self.verticalLayout_6.addWidget(self.groupBox_9)
        spacerItem6 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_6.addItem(spacerItem6)
        self.tabWidget_components.addTab(self.tab_eps, "")
        self.tab_comms = QtWidgets.QWidget()
        self.tab_comms.setObjectName("tab_comms")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.tab_comms)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.comms_dataRate = QtWidgets.QComboBox(self.tab_comms)
        self.comms_dataRate.setObjectName("comms_dataRate")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.comms_dataRate.addItem("")
        self.gridLayout_3.addWidget(self.comms_dataRate, 2, 1, 1, 1)
        self.comms_txpower = QtWidgets.QDoubleSpinBox(self.tab_comms)
        self.comms_txpower.setDecimals(2)
        self.comms_txpower.setProperty("value", 0.01)
        self.comms_txpower.setObjectName("comms_txpower")
        self.gridLayout_3.addWidget(self.comms_txpower, 0, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.tab_comms)
        self.label_7.setObjectName("label_7")
        self.gridLayout_3.addWidget(self.label_7, 0, 0, 1, 1)
        self.groupBox_5 = QtWidgets.QGroupBox(self.tab_comms)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.comms_dipole = QtWidgets.QPushButton(self.groupBox_5)
        self.comms_dipole.setCheckable(True)
        self.comms_dipole.setChecked(True)
        self.comms_dipole.setObjectName("comms_dipole")
        self.horizontalLayout_3.addWidget(self.comms_dipole)
        self.comms_patch = QtWidgets.QPushButton(self.groupBox_5)
        self.comms_patch.setCheckable(True)
        self.comms_patch.setObjectName("comms_patch")
        self.horizontalLayout_3.addWidget(self.comms_patch)
        self.comms_parabolic = QtWidgets.QPushButton(self.groupBox_5)
        self.comms_parabolic.setCheckable(True)
        self.comms_parabolic.setObjectName("comms_parabolic")
        self.horizontalLayout_3.addWidget(self.comms_parabolic)
        self.gridLayout_3.addWidget(self.groupBox_5, 3, 0, 1, 2)
        self.label_9 = QtWidgets.QLabel(self.tab_comms)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 2, 0, 1, 1)
        spacerItem7 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_3.addItem(spacerItem7, 4, 0, 1, 2)
        self.tabWidget_components.addTab(self.tab_comms, "")
        self.tab_adcs = QtWidgets.QWidget()
        self.tab_adcs.setObjectName("tab_adcs")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.tab_adcs)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.groupBox_3 = QtWidgets.QGroupBox(self.tab_adcs)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.adcs_mtq = QtWidgets.QPushButton(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_mtq.sizePolicy().hasHeightForWidth())
        self.adcs_mtq.setSizePolicy(sizePolicy)
        self.adcs_mtq.setIconSize(QtCore.QSize(96, 96))
        self.adcs_mtq.setCheckable(True)
        self.adcs_mtq.setObjectName("adcs_mtq")
        self.gridLayout_6.addWidget(self.adcs_mtq, 0, 1, 1, 1)
        self.adcs_rw1 = QtWidgets.QPushButton(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_rw1.sizePolicy().hasHeightForWidth())
        self.adcs_rw1.setSizePolicy(sizePolicy)
        self.adcs_rw1.setCheckable(True)
        self.adcs_rw1.setObjectName("adcs_rw1")
        self.gridLayout_6.addWidget(self.adcs_rw1, 1, 0, 1, 1)
        self.adcs_rw3 = QtWidgets.QPushButton(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_rw3.sizePolicy().hasHeightForWidth())
        self.adcs_rw3.setSizePolicy(sizePolicy)
        self.adcs_rw3.setCheckable(True)
        self.adcs_rw3.setObjectName("adcs_rw3")
        self.gridLayout_6.addWidget(self.adcs_rw3, 1, 1, 1, 1)
        self.adcs_gg = QtWidgets.QPushButton(self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_gg.sizePolicy().hasHeightForWidth())
        self.adcs_gg.setSizePolicy(sizePolicy)
        self.adcs_gg.setCheckable(True)
        self.adcs_gg.setChecked(True)
        self.adcs_gg.setObjectName("adcs_gg")
        self.gridLayout_6.addWidget(self.adcs_gg, 0, 0, 1, 1)
        self.gridLayout_4.addWidget(self.groupBox_3, 1, 0, 1, 2)
        self.groupBox_4 = QtWidgets.QGroupBox(self.tab_adcs)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.adcs_magnetometer = QtWidgets.QPushButton(self.groupBox_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_magnetometer.sizePolicy().hasHeightForWidth())
        self.adcs_magnetometer.setSizePolicy(sizePolicy)
        self.adcs_magnetometer.setCheckable(True)
        self.adcs_magnetometer.setObjectName("adcs_magnetometer")
        self.gridLayout_5.addWidget(self.adcs_magnetometer, 0, 0, 1, 1)
        self.adcs_sun_sensor = QtWidgets.QPushButton(self.groupBox_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_sun_sensor.sizePolicy().hasHeightForWidth())
        self.adcs_sun_sensor.setSizePolicy(sizePolicy)
        self.adcs_sun_sensor.setCheckable(True)
        self.adcs_sun_sensor.setObjectName("adcs_sun_sensor")
        self.gridLayout_5.addWidget(self.adcs_sun_sensor, 0, 1, 1, 1)
        self.adcs_earth_sensor = QtWidgets.QPushButton(self.groupBox_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_earth_sensor.sizePolicy().hasHeightForWidth())
        self.adcs_earth_sensor.setSizePolicy(sizePolicy)
        self.adcs_earth_sensor.setCheckable(True)
        self.adcs_earth_sensor.setObjectName("adcs_earth_sensor")
        self.gridLayout_5.addWidget(self.adcs_earth_sensor, 1, 0, 1, 1)
        self.adcs_star_tracker = QtWidgets.QPushButton(self.groupBox_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.adcs_star_tracker.sizePolicy().hasHeightForWidth())
        self.adcs_star_tracker.setSizePolicy(sizePolicy)
        self.adcs_star_tracker.setCheckable(True)
        self.adcs_star_tracker.setObjectName("adcs_star_tracker")
        self.gridLayout_5.addWidget(self.adcs_star_tracker, 1, 1, 1, 1)
        self.gridLayout_4.addWidget(self.groupBox_4, 0, 0, 1, 2)
        self.tabWidget_components.addTab(self.tab_adcs, "")
        self.tab_obc = QtWidgets.QWidget()
        self.tab_obc.setObjectName("tab_obc")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.tab_obc)
        self.gridLayout_10.setObjectName("gridLayout_10")
        spacerItem8 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_10.addItem(spacerItem8, 2, 0, 1, 1)
        self.obc_lp = QtWidgets.QPushButton(self.tab_obc)
        self.obc_lp.setCheckable(True)
        self.obc_lp.setObjectName("obc_lp")
        self.gridLayout_10.addWidget(self.obc_lp, 0, 1, 1, 1)
        self.obc_mcu = QtWidgets.QPushButton(self.tab_obc)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.obc_mcu.sizePolicy().hasHeightForWidth())
        self.obc_mcu.setSizePolicy(sizePolicy)
        self.obc_mcu.setCheckable(True)
        self.obc_mcu.setChecked(True)
        self.obc_mcu.setObjectName("obc_mcu")
        self.gridLayout_10.addWidget(self.obc_mcu, 0, 0, 1, 1)
        self.obc_rh = QtWidgets.QPushButton(self.tab_obc)
        self.obc_rh.setCheckable(True)
        self.obc_rh.setObjectName("obc_rh")
        self.gridLayout_10.addWidget(self.obc_rh, 1, 0, 1, 1)
        self.obc_tmr = QtWidgets.QPushButton(self.tab_obc)
        self.obc_tmr.setCheckable(True)
        self.obc_tmr.setObjectName("obc_tmr")
        self.gridLayout_10.addWidget(self.obc_tmr, 1, 1, 1, 1)
        self.tabWidget_components.addTab(self.tab_obc, "")
        self.horizontalLayout.addWidget(self.tabWidget_components)
        self.tabs_budgets = QtWidgets.QTabWidget(self.centralwidget)
        font = QtGui.QFont()
        font.setBold(False)
        font.setWeight(50)
        self.tabs_budgets.setFont(font)
        self.tabs_budgets.setStyleSheet("")
        self.tabs_budgets.setObjectName("tabs_budgets")
        self.tab_cost = QtWidgets.QWidget()
        self.tab_cost.setObjectName("tab_cost")
        self.gridLayout = QtWidgets.QGridLayout(self.tab_cost)
        self.gridLayout.setObjectName("gridLayout")
        self.label_4 = QtWidgets.QLabel(self.tab_cost)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 1, 0, 1, 1)
        self.cost_table = QtWidgets.QTableView(self.tab_cost)
        self.cost_table.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustIgnored)
        self.cost_table.setObjectName("cost_table")
        self.gridLayout.addWidget(self.cost_table, 2, 0, 1, 2)
        self.label_total_cost = QtWidgets.QLabel(self.tab_cost)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_total_cost.setFont(font)
        self.label_total_cost.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_total_cost.setObjectName("label_total_cost")
        self.gridLayout.addWidget(self.label_total_cost, 1, 1, 1, 1)
        self.tabs_budgets.addTab(self.tab_cost, "")
        self.tab_power = QtWidgets.QWidget()
        self.tab_power.setObjectName("tab_power")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.tab_power)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.label_solar_power = QtWidgets.QLabel(self.tab_power)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_solar_power.sizePolicy().hasHeightForWidth())
        self.label_solar_power.setSizePolicy(sizePolicy)
        self.label_solar_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_solar_power.setObjectName("label_solar_power")
        self.gridLayout_7.addWidget(self.label_solar_power, 0, 1, 1, 1)
        self.label_12 = QtWidgets.QLabel(self.tab_power)
        self.label_12.setObjectName("label_12")
        self.gridLayout_7.addWidget(self.label_12, 1, 0, 1, 1)
        self.label_required_power = QtWidgets.QLabel(self.tab_power)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_required_power.setFont(font)
        self.label_required_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_required_power.setObjectName("label_required_power")
        self.gridLayout_7.addWidget(self.label_required_power, 8, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.tab_power)
        self.label_5.setObjectName("label_5")
        self.gridLayout_7.addWidget(self.label_5, 0, 0, 1, 1)
        self.label_22 = QtWidgets.QLabel(self.tab_power)
        self.label_22.setObjectName("label_22")
        self.gridLayout_7.addWidget(self.label_22, 4, 0, 1, 1)
        self.line_4 = QtWidgets.QFrame(self.tab_power)
        self.line_4.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_4.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_4.setObjectName("line_4")
        self.gridLayout_7.addWidget(self.line_4, 6, 0, 1, 2)
        self.label_24 = QtWidgets.QLabel(self.tab_power)
        self.label_24.setObjectName("label_24")
        self.gridLayout_7.addWidget(self.label_24, 5, 0, 1, 1)
        self.power_table = QtWidgets.QTableView(self.tab_power)
        self.power_table.setObjectName("power_table")
        self.gridLayout_7.addWidget(self.power_table, 7, 0, 1, 2)
        self.label_eclipse_duration = QtWidgets.QLabel(self.tab_power)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_eclipse_duration.sizePolicy().hasHeightForWidth())
        self.label_eclipse_duration.setSizePolicy(sizePolicy)
        self.label_eclipse_duration.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_eclipse_duration.setObjectName("label_eclipse_duration")
        self.gridLayout_7.addWidget(self.label_eclipse_duration, 5, 1, 1, 1)
        self.line_3 = QtWidgets.QFrame(self.tab_power)
        self.line_3.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_3.setObjectName("line_3")
        self.gridLayout_7.addWidget(self.line_3, 3, 0, 1, 2)
        self.label_average_power = QtWidgets.QLabel(self.tab_power)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_average_power.sizePolicy().hasHeightForWidth())
        self.label_average_power.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_average_power.setFont(font)
        self.label_average_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_average_power.setObjectName("label_average_power")
        self.gridLayout_7.addWidget(self.label_average_power, 2, 1, 1, 1)
        self.label_solar_area = QtWidgets.QLabel(self.tab_power)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_solar_area.sizePolicy().hasHeightForWidth())
        self.label_solar_area.setSizePolicy(sizePolicy)
        self.label_solar_area.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_solar_area.setObjectName("label_solar_area")
        self.gridLayout_7.addWidget(self.label_solar_area, 1, 1, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.tab_power)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_17.setFont(font)
        self.label_17.setObjectName("label_17")
        self.gridLayout_7.addWidget(self.label_17, 2, 0, 1, 1)
        self.label_power_stored = QtWidgets.QLabel(self.tab_power)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_power_stored.sizePolicy().hasHeightForWidth())
        self.label_power_stored.setSizePolicy(sizePolicy)
        self.label_power_stored.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_power_stored.setObjectName("label_power_stored")
        self.gridLayout_7.addWidget(self.label_power_stored, 4, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.tab_power)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_11.setFont(font)
        self.label_11.setObjectName("label_11")
        self.gridLayout_7.addWidget(self.label_11, 8, 0, 1, 1)
        self.label_19 = QtWidgets.QLabel(self.tab_power)
        self.label_19.setObjectName("label_19")
        self.gridLayout_7.addWidget(self.label_19, 9, 0, 1, 1)
        self.label_required_eclipse_energy = QtWidgets.QLabel(self.tab_power)
        self.label_required_eclipse_energy.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_required_eclipse_energy.setObjectName("label_required_eclipse_energy")
        self.gridLayout_7.addWidget(self.label_required_eclipse_energy, 9, 1, 1, 1)
        self.tabs_budgets.addTab(self.tab_power, "")
        self.tab_link = QtWidgets.QWidget()
        self.tab_link.setObjectName("tab_link")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.tab_link)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_18 = QtWidgets.QLabel(self.tab_link)
        self.label_18.setObjectName("label_18")
        self.gridLayout_2.addWidget(self.label_18, 5, 0, 1, 1)
        spacerItem9 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.MinimumExpanding)
        self.gridLayout_2.addItem(spacerItem9, 3, 0, 1, 1)
        self.line_2 = QtWidgets.QFrame(self.tab_link)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.line_2.sizePolicy().hasHeightForWidth())
        self.line_2.setSizePolicy(sizePolicy)
        self.line_2.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.gridLayout_2.addWidget(self.line_2, 4, 0, 1, 2)
        self.groupBox_7 = QtWidgets.QGroupBox(self.tab_link)
        self.groupBox_7.setObjectName("groupBox_7")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.groupBox_7)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.label_total_data = QtWidgets.QLabel(self.groupBox_7)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_total_data.setFont(font)
        self.label_total_data.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_total_data.setObjectName("label_total_data")
        self.gridLayout_9.addWidget(self.label_total_data, 5, 1, 1, 1)
        self.line_7 = QtWidgets.QFrame(self.groupBox_7)
        self.line_7.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_7.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_7.setObjectName("line_7")
        self.gridLayout_9.addWidget(self.line_7, 4, 0, 1, 2)
        self.label_15 = QtWidgets.QLabel(self.groupBox_7)
        self.label_15.setObjectName("label_15")
        self.gridLayout_9.addWidget(self.label_15, 0, 0, 1, 1)
        self.label_27 = QtWidgets.QLabel(self.groupBox_7)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_27.setFont(font)
        self.label_27.setObjectName("label_27")
        self.gridLayout_9.addWidget(self.label_27, 5, 0, 1, 1)
        self.label_required_data = QtWidgets.QLabel(self.groupBox_7)
        self.label_required_data.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_required_data.setObjectName("label_required_data")
        self.gridLayout_9.addWidget(self.label_required_data, 0, 1, 1, 1)
        self.label_25 = QtWidgets.QLabel(self.groupBox_7)
        self.label_25.setObjectName("label_25")
        self.gridLayout_9.addWidget(self.label_25, 1, 0, 1, 1)
        self.label_comms_window = QtWidgets.QLabel(self.groupBox_7)
        self.label_comms_window.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_comms_window.setObjectName("label_comms_window")
        self.gridLayout_9.addWidget(self.label_comms_window, 1, 1, 1, 1)
        self.label_23 = QtWidgets.QLabel(self.groupBox_7)
        self.label_23.setObjectName("label_23")
        self.gridLayout_9.addWidget(self.label_23, 3, 0, 1, 1)
        self.label_penalty = QtWidgets.QLabel(self.groupBox_7)
        self.label_penalty.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_penalty.setObjectName("label_penalty")
        self.gridLayout_9.addWidget(self.label_penalty, 3, 1, 1, 1)
        self.line_8 = QtWidgets.QFrame(self.groupBox_7)
        self.line_8.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_8.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_8.setObjectName("line_8")
        self.gridLayout_9.addWidget(self.line_8, 2, 0, 1, 2)
        self.gridLayout_2.addWidget(self.groupBox_7, 2, 0, 1, 2)
        self.label_ttt = QtWidgets.QLabel(self.tab_link)
        self.label_ttt.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_ttt.setObjectName("label_ttt")
        self.gridLayout_2.addWidget(self.label_ttt, 5, 1, 1, 1)
        self.groupBox_6 = QtWidgets.QGroupBox(self.tab_link)
        self.groupBox_6.setObjectName("groupBox_6")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.groupBox_6)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.label_various_loss = QtWidgets.QLabel(self.groupBox_6)
        self.label_various_loss.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_various_loss.setObjectName("label_various_loss")
        self.gridLayout_8.addWidget(self.label_various_loss, 6, 1, 1, 1)
        self.label_receive_power = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_receive_power.sizePolicy().hasHeightForWidth())
        self.label_receive_power.setSizePolicy(sizePolicy)
        self.label_receive_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_receive_power.setObjectName("label_receive_power")
        self.gridLayout_8.addWidget(self.label_receive_power, 8, 1, 1, 1)
        self.label_20 = QtWidgets.QLabel(self.groupBox_6)
        self.label_20.setObjectName("label_20")
        self.gridLayout_8.addWidget(self.label_20, 5, 0, 1, 1)
        self.label_directivity = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_directivity.sizePolicy().hasHeightForWidth())
        self.label_directivity.setSizePolicy(sizePolicy)
        self.label_directivity.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_directivity.setObjectName("label_directivity")
        self.gridLayout_8.addWidget(self.label_directivity, 2, 1, 1, 1)
        self.label_error_rate = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_error_rate.sizePolicy().hasHeightForWidth())
        self.label_error_rate.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_error_rate.setFont(font)
        self.label_error_rate.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_error_rate.setObjectName("label_error_rate")
        self.gridLayout_8.addWidget(self.label_error_rate, 10, 1, 1, 1)
        self.line_5 = QtWidgets.QFrame(self.groupBox_6)
        self.line_5.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_5.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_5.setObjectName("line_5")
        self.gridLayout_8.addWidget(self.line_5, 7, 0, 1, 2)
        self.label_16 = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_16.sizePolicy().hasHeightForWidth())
        self.label_16.setSizePolicy(sizePolicy)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.label_16.setFont(font)
        self.label_16.setObjectName("label_16")
        self.gridLayout_8.addWidget(self.label_16, 10, 0, 1, 1)
        self.label_pointing_loss = QtWidgets.QLabel(self.groupBox_6)
        self.label_pointing_loss.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_pointing_loss.setObjectName("label_pointing_loss")
        self.gridLayout_8.addWidget(self.label_pointing_loss, 5, 1, 1, 1)
        self.label_atmo_loss = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_atmo_loss.sizePolicy().hasHeightForWidth())
        self.label_atmo_loss.setSizePolicy(sizePolicy)
        self.label_atmo_loss.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_atmo_loss.setObjectName("label_atmo_loss")
        self.gridLayout_8.addWidget(self.label_atmo_loss, 4, 1, 1, 1)
        self.label_14 = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_14.sizePolicy().hasHeightForWidth())
        self.label_14.setSizePolicy(sizePolicy)
        self.label_14.setObjectName("label_14")
        self.gridLayout_8.addWidget(self.label_14, 8, 0, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_6.sizePolicy().hasHeightForWidth())
        self.label_6.setSizePolicy(sizePolicy)
        self.label_6.setObjectName("label_6")
        self.gridLayout_8.addWidget(self.label_6, 0, 0, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_8.sizePolicy().hasHeightForWidth())
        self.label_8.setSizePolicy(sizePolicy)
        self.label_8.setObjectName("label_8")
        self.gridLayout_8.addWidget(self.label_8, 2, 0, 1, 1)
        self.label_21 = QtWidgets.QLabel(self.groupBox_6)
        self.label_21.setObjectName("label_21")
        self.gridLayout_8.addWidget(self.label_21, 6, 0, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_10.sizePolicy().hasHeightForWidth())
        self.label_10.setSizePolicy(sizePolicy)
        self.label_10.setObjectName("label_10")
        self.gridLayout_8.addWidget(self.label_10, 1, 0, 1, 1)
        self.line = QtWidgets.QFrame(self.groupBox_6)
        self.line.setFrameShape(QtWidgets.QFrame.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.gridLayout_8.addWidget(self.line, 9, 0, 1, 2)
        self.label_13 = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_13.sizePolicy().hasHeightForWidth())
        self.label_13.setSizePolicy(sizePolicy)
        self.label_13.setObjectName("label_13")
        self.gridLayout_8.addWidget(self.label_13, 4, 0, 1, 1)
        self.label_path_loss = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_path_loss.sizePolicy().hasHeightForWidth())
        self.label_path_loss.setSizePolicy(sizePolicy)
        self.label_path_loss.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_path_loss.setObjectName("label_path_loss")
        self.gridLayout_8.addWidget(self.label_path_loss, 1, 1, 1, 1)
        self.label_transmit_power = QtWidgets.QLabel(self.groupBox_6)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_transmit_power.sizePolicy().hasHeightForWidth())
        self.label_transmit_power.setSizePolicy(sizePolicy)
        self.label_transmit_power.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_transmit_power.setObjectName("label_transmit_power")
        self.gridLayout_8.addWidget(self.label_transmit_power, 0, 1, 1, 1)
        self.line_6 = QtWidgets.QFrame(self.groupBox_6)
        self.line_6.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_6.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_6.setObjectName("line_6")
        self.gridLayout_8.addWidget(self.line_6, 3, 0, 1, 2)
        self.gridLayout_2.addWidget(self.groupBox_6, 0, 0, 1, 2)
        spacerItem10 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_2.addItem(spacerItem10, 1, 0, 1, 1)
        self.tabs_budgets.addTab(self.tab_link, "")
        self.tab_constraints = QtWidgets.QWidget()
        self.tab_constraints.setObjectName("tab_constraints")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.tab_constraints)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.listWidget_constraints = QtWidgets.QListWidget(self.tab_constraints)
        self.listWidget_constraints.setStyleSheet("QListWidget::item { margin: 10px; }")
        self.listWidget_constraints.setAlternatingRowColors(True)
        self.listWidget_constraints.setResizeMode(QtWidgets.QListView.Adjust)
        self.listWidget_constraints.setLayoutMode(QtWidgets.QListView.Batched)
        self.listWidget_constraints.setUniformItemSizes(True)
        self.listWidget_constraints.setWordWrap(True)
        self.listWidget_constraints.setObjectName("listWidget_constraints")
        self.verticalLayout_4.addWidget(self.listWidget_constraints)
        self.tabs_budgets.addTab(self.tab_constraints, "")
        self.horizontalLayout.addWidget(self.tabs_budgets)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setSizeConstraint(QtWidgets.QLayout.SetMinimumSize)
        self.horizontalLayout_2.setSpacing(6)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label = QtWidgets.QLabel(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label.sizePolicy().hasHeightForWidth())
        self.label.setSizePolicy(sizePolicy)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.pushButton_serial_refresh = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton_serial_refresh.setCheckable(False)
        self.pushButton_serial_refresh.setAutoDefault(False)
        self.pushButton_serial_refresh.setDefault(False)
        self.pushButton_serial_refresh.setFlat(False)
        self.pushButton_serial_refresh.setObjectName("pushButton_serial_refresh")
        self.horizontalLayout_2.addWidget(self.pushButton_serial_refresh)
        self.comboBox_serial = QtWidgets.QComboBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.comboBox_serial.sizePolicy().hasHeightForWidth())
        self.comboBox_serial.setSizePolicy(sizePolicy)
        self.comboBox_serial.setObjectName("comboBox_serial")
        self.horizontalLayout_2.addWidget(self.comboBox_serial)
        self.pushButton_serial_connect = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton_serial_connect.setCheckable(False)
        self.pushButton_serial_connect.setObjectName("pushButton_serial_connect")
        self.horizontalLayout_2.addWidget(self.pushButton_serial_connect)
        self.label_2 = QtWidgets.QLabel(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_2.sizePolicy().hasHeightForWidth())
        self.label_2.setSizePolicy(sizePolicy)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_2.addWidget(self.label_2)
        self.label_serial_status = QtWidgets.QLabel(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_serial_status.sizePolicy().hasHeightForWidth())
        self.label_serial_status.setSizePolicy(sizePolicy)
        self.label_serial_status.setObjectName("label_serial_status")
        self.horizontalLayout_2.addWidget(self.label_serial_status)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 847, 30))
        self.menubar.setObjectName("menubar")
        self.menuImport = QtWidgets.QMenu(self.menubar)
        self.menuImport.setObjectName("menuImport")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.actionImport = QtWidgets.QAction(MainWindow)
        self.actionImport.setObjectName("actionImport")
        self.actionExport = QtWidgets.QAction(MainWindow)
        self.actionExport.setObjectName("actionExport")
        self.actionRefresh = QtWidgets.QAction(MainWindow)
        self.actionRefresh.setObjectName("actionRefresh")
        self.actionConnect = QtWidgets.QAction(MainWindow)
        self.actionConnect.setObjectName("actionConnect")
        self.menuImport.addAction(self.actionImport)
        self.menuImport.addAction(self.actionExport)
        self.menubar.addAction(self.menuImport.menuAction())

        self.retranslateUi(MainWindow)
        self.tabWidget_components.setCurrentIndex(3)
        self.comms_dataRate.setCurrentIndex(5)
        self.tabs_budgets.setCurrentIndex(1)
        self.pushButton_serial_refresh.clicked.connect(self.actionRefresh.trigger)
        self.pushButton_serial_connect.clicked.connect(self.actionConnect.trigger)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)
        MainWindow.setTabOrder(self.tabWidget_components, self.tabs_budgets)
        MainWindow.setTabOrder(self.tabs_budgets, self.pushButton_serial_refresh)
        MainWindow.setTabOrder(self.pushButton_serial_refresh, self.comboBox_serial)
        MainWindow.setTabOrder(self.comboBox_serial, self.pushButton_serial_connect)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "CubeSat Budget Analyzer"))
        self.groupBox_10.setTitle(_translate("MainWindow", "Team Name"))
        self.label_team.setText(_translate("MainWindow", "Team"))
        self.groupBox_2.setTitle(_translate("MainWindow", "Sensor Data"))
        self.groupBox.setTitle(_translate("MainWindow", "Budget Overview"))
        self.label_ov_cost.setText(_translate("MainWindow", "100 €"))
        self.label_26.setText(_translate("MainWindow", "Cost"))
        self.label_29.setText(_translate("MainWindow", "Error Rate"))
        self.label_ov_error.setText(_translate("MainWindow", "80 %"))
        self.label_31.setText(_translate("MainWindow", "<html><head/><body><p>Transferred<br/>Data</p></body></html>"))
        self.label_ov_data.setText(_translate("MainWindow", "1.61 GB / 8 GB"))
        self.label_33.setText(_translate("MainWindow", "Power"))
        self.label_ov_power.setText(_translate("MainWindow", "5 W / 7.2 W"))
        self.label_design_status.setText(_translate("MainWindow", "short text"))
        self.su_radio.setText(_translate("MainWindow", "Radiometer"))
        self.su_thermal.setText(_translate("MainWindow", "Thermal Camera"))
        self.su_optical.setText(_translate("MainWindow", "Optical Sensor"))
        self.tabWidget_components.setTabText(self.tabWidget_components.indexOf(self.tab_payload), _translate("MainWindow", "Payload"))
        self.tra_iss.setText(_translate("MainWindow", "LEO ISS Orbit"))
        self.tra_polar.setText(_translate("MainWindow", "LEO Polar Orbit"))
        self.tra_geo.setText(_translate("MainWindow", "Geosynchronous Orbit"))
        self.tabWidget_components.setTabText(self.tabWidget_components.indexOf(self.tab_trajectory), _translate("MainWindow", "Trajectory"))
        self.groupBox_8.setTitle(_translate("MainWindow", "Solar Panels"))
        self.eps_panel1.setText(_translate("MainWindow", "Panel 1"))
        self.eps_panel2.setText(_translate("MainWindow", "Panel 2"))
        self.eps_panel3.setText(_translate("MainWindow", "Panel 3"))
        self.groupBox_9.setTitle(_translate("MainWindow", "Battery Packs"))
        self.eps_battery1.setText(_translate("MainWindow", "1"))
        self.eps_battery2.setText(_translate("MainWindow", "2"))
        self.eps_battery3.setText(_translate("MainWindow", "3"))
        self.tabWidget_components.setTabText(self.tabWidget_components.indexOf(self.tab_eps), _translate("MainWindow", "Electrical Power Supply"))
        self.comms_dataRate.setItemText(0, _translate("MainWindow", "0.3 kbps"))
        self.comms_dataRate.setItemText(1, _translate("MainWindow", "0.6 kbps"))
        self.comms_dataRate.setItemText(2, _translate("MainWindow", "1.2 kbps"))
        self.comms_dataRate.setItemText(3, _translate("MainWindow", "2.4 kbps"))
        self.comms_dataRate.setItemText(4, _translate("MainWindow", "4.8 kbps"))
        self.comms_dataRate.setItemText(5, _translate("MainWindow", "9.6 kbps"))
        self.comms_dataRate.setItemText(6, _translate("MainWindow", "32 kbps"))
        self.comms_dataRate.setItemText(7, _translate("MainWindow", "50 kbps"))
        self.comms_dataRate.setItemText(8, _translate("MainWindow", "100 kbps"))
        self.comms_dataRate.setItemText(9, _translate("MainWindow", "200 kbps"))
        self.comms_dataRate.setItemText(10, _translate("MainWindow", "500 kbps"))
        self.comms_dataRate.setItemText(11, _translate("MainWindow", "1 Mbps"))
        self.comms_dataRate.setItemText(12, _translate("MainWindow", "2 Mbps"))
        self.comms_dataRate.setItemText(13, _translate("MainWindow", "5 Mbps"))
        self.comms_dataRate.setItemText(14, _translate("MainWindow", "12 Mbps"))
        self.comms_dataRate.setItemText(15, _translate("MainWindow", "24 Mbps"))
        self.comms_txpower.setSuffix(_translate("MainWindow", " W"))
        self.label_7.setText(_translate("MainWindow", "Transmit Power"))
        self.groupBox_5.setTitle(_translate("MainWindow", "Antenna"))
        self.comms_dipole.setText(_translate("MainWindow", "Dipole"))
        self.comms_patch.setText(_translate("MainWindow", "Patch"))
        self.comms_parabolic.setText(_translate("MainWindow", "Parabolic Dish"))
        self.label_9.setText(_translate("MainWindow", "Data Rate"))
        self.tabWidget_components.setTabText(self.tabWidget_components.indexOf(self.tab_comms), _translate("MainWindow", "Communications"))
        self.groupBox_3.setTitle(_translate("MainWindow", "Actuators"))
        self.adcs_mtq.setText(_translate("MainWindow", "3-axis Magnetorquer"))
        self.adcs_rw1.setText(_translate("MainWindow", "3-axis Magnetorquer\n"
"1-axis Reaction Wheel"))
        self.adcs_rw3.setText(_translate("MainWindow", "3-axis Magnetorquer\n"
"3-axis Reaction Wheel"))
        self.adcs_gg.setText(_translate("MainWindow", "Gravity Gradient"))
        self.groupBox_4.setTitle(_translate("MainWindow", "Sensors"))
        self.adcs_magnetometer.setText(_translate("MainWindow", "Magnetometer"))
        self.adcs_sun_sensor.setText(_translate("MainWindow", "Sun Sensor"))
        self.adcs_earth_sensor.setText(_translate("MainWindow", "Earth Sensor"))
        self.adcs_star_tracker.setText(_translate("MainWindow", "Star Tracker"))
        self.tabWidget_components.setTabText(self.tabWidget_components.indexOf(self.tab_adcs), _translate("MainWindow", "ADCS"))
        self.obc_lp.setText(_translate("MainWindow", "Low-Power\n"
"Microcontroller"))
        self.obc_mcu.setText(_translate("MainWindow", "Microcontroller"))
        self.obc_rh.setText(_translate("MainWindow", "Radiation-hardened\n"
"microcontroller"))
        self.obc_tmr.setText(_translate("MainWindow", "Radiation-hardened \n"
"triple-redundant system"))
        self.tabWidget_components.setTabText(self.tabWidget_components.indexOf(self.tab_obc), _translate("MainWindow", "On-Board Computer"))
        self.label_4.setText(_translate("MainWindow", "Total Cost"))
        self.label_total_cost.setText(_translate("MainWindow", "0 €"))
        self.tabs_budgets.setTabText(self.tabs_budgets.indexOf(self.tab_cost), _translate("MainWindow", "Cost Budget"))
        self.label_solar_power.setText(_translate("MainWindow", "1 W/m²"))
        self.label_12.setText(_translate("MainWindow", "Effective Solar Panel Area"))
        self.label_required_power.setText(_translate("MainWindow", "5 W"))
        self.label_5.setText(_translate("MainWindow", "Received Power"))
        self.label_22.setText(_translate("MainWindow", "Power Storage"))
        self.label_24.setText(_translate("MainWindow", "Eclipse duration"))
        self.label_eclipse_duration.setText(_translate("MainWindow", "100 s"))
        self.label_average_power.setText(_translate("MainWindow", "7.2 W"))
        self.label_solar_area.setText(_translate("MainWindow", "7.2 m²"))
        self.label_17.setText(_translate("MainWindow", "Available Power"))
        self.label_power_stored.setText(_translate("MainWindow", "80 J"))
        self.label_11.setText(_translate("MainWindow", "Average Power required"))
        self.label_19.setText(_translate("MainWindow", "Energy required in eclipse"))
        self.label_required_eclipse_energy.setText(_translate("MainWindow", "60 J"))
        self.tabs_budgets.setTabText(self.tabs_budgets.indexOf(self.tab_power), _translate("MainWindow", "Power Budget"))
        self.label_18.setText(_translate("MainWindow", "Time to transmit"))
        self.groupBox_7.setTitle(_translate("MainWindow", "Data Budget"))
        self.label_total_data.setText(_translate("MainWindow", "2 GB"))
        self.label_15.setText(_translate("MainWindow", "Minimum data to be transferred"))
        self.label_27.setText(_translate("MainWindow", "Total transferred data"))
        self.label_required_data.setText(_translate("MainWindow", "1 GB"))
        self.label_25.setText(_translate("MainWindow", "Communications window"))
        self.label_comms_window.setText(_translate("MainWindow", "55031 s"))
        self.label_23.setText(_translate("MainWindow", "Penalty"))
        self.label_penalty.setText(_translate("MainWindow", "20 %"))
        self.label_ttt.setText(_translate("MainWindow", "1 ms"))
        self.groupBox_6.setTitle(_translate("MainWindow", "Link Budget"))
        self.label_various_loss.setText(_translate("MainWindow", "0.2 W"))
        self.label_receive_power.setText(_translate("MainWindow", "1 W"))
        self.label_20.setText(_translate("MainWindow", "Pointing losses"))
        self.label_directivity.setText(_translate("MainWindow", "30 W"))
        self.label_error_rate.setText(_translate("MainWindow", "90 %"))
        self.label_16.setText(_translate("MainWindow", "Error Rate"))
        self.label_pointing_loss.setText(_translate("MainWindow", "0.2 W"))
        self.label_atmo_loss.setText(_translate("MainWindow", "0.1 W"))
        self.label_14.setText(_translate("MainWindow", "Received Power"))
        self.label_6.setText(_translate("MainWindow", "Transmit Power"))
        self.label_8.setText(_translate("MainWindow", "Directivity gain"))
        self.label_21.setText(_translate("MainWindow", "Various losses"))
        self.label_10.setText(_translate("MainWindow", "Path loss"))
        self.label_13.setText(_translate("MainWindow", "Atmospheric losses"))
        self.label_path_loss.setText(_translate("MainWindow", "20 W"))
        self.label_transmit_power.setText(_translate("MainWindow", "2 W"))
        self.tabs_budgets.setTabText(self.tabs_budgets.indexOf(self.tab_link), _translate("MainWindow", "Data Budget"))
        self.tabs_budgets.setTabText(self.tabs_budgets.indexOf(self.tab_constraints), _translate("MainWindow", "Constraints"))
        self.label.setText(_translate("MainWindow", "Connected Devices"))
        self.pushButton_serial_refresh.setText(_translate("MainWindow", "Refresh"))
        self.pushButton_serial_connect.setText(_translate("MainWindow", "Connect"))
        self.label_2.setText(_translate("MainWindow", "Status: "))
        self.label_serial_status.setText(_translate("MainWindow", "Disconnected"))
        self.menuImport.setTitle(_translate("MainWindow", "File"))
        self.actionImport.setText(_translate("MainWindow", "Import"))
        self.actionImport.setShortcut(_translate("MainWindow", "Ctrl+I"))
        self.actionExport.setText(_translate("MainWindow", "Export"))
        self.actionExport.setShortcut(_translate("MainWindow", "Ctrl+E"))
        self.actionRefresh.setText(_translate("MainWindow", "Refresh"))
        self.actionConnect.setText(_translate("MainWindow", "Connect"))
import assets_rc
